#!/bin/bash
# Packager : Jean-Philippe Guillemin <jp.guillemin@free.fr>
# sources location : http://squentin.free.fr/gmusicbrowser/download.html


soft='gmusicbrowser'
softversion='1.0.1'
packageversion='54.1'

arch='i486'
cpu='i686'

buildir=$(pwd)
srcpkg="$buildir/$soft-$softversion.tar.gz"
src="$buildir/$soft-$softversion"

package="$soft-$softversion-$arch-$packageversion"

dest="/tmp/$package"


cd $buildir
rm -rf $src
tar -xvf $srcpkg
rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest
chown -R root:root .

(
cd $src
make install \
DESTDIR=$dest \
mandir=/usr/man \
iconsdir=$dest/usr/share/icons/hicolor/32x32/apps \
liconsdir=$dest/usr/share/icons/hicolor/48x48/apps \
miconsdir=$dest/usr/share/icons/hicolor/16x16/apps

mkdir -p $dest/usr/doc/$soft-$softversion
cp -a INSTALL NEWS COPYING AUTHORS README INSTALL layout_doc.html $dest/usr/doc/$soft-$softversion
rm -rf $dest/usr/share/doc
)

# Striptease
( cd $dest
  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
  for mandir in $(find . -name man -type d) ; do
  if [ -d $mandir ]; then
    ( cd $mandir
      find . -type f -name "*.?" -exec gzip -9 {} \;
    )
  fi
  done
)

# Install dir
mkdir -p $dest/install
chmod -R 755 $dest/install
cat << "EODESC" > $dest/install/slack-desc
gmusicbrowser: gmusicbrowser - multimedia jukebox
gmusicbrowser:
gmusicbrowser: Gmusicbrowser is an open-source jukebox for large collections 
gmusicbrowser: of mp3/ogg/flac/mpc files, written in perl.
gmusicbrowser:
gmusicbrowser:
gmusicbrowser:
gmusicbrowser:
gmusicbrowser: 
gmusicbrowser:
gmusicbrowser:
EODESC

# Icons
rm -rf $dest/usr/share/gmusicbrowser/pix
cp -rf $buildir/pix $dest/usr/share/gmusicbrowser

# Desktop file
mkdir -p $dest/usr/share/applications
rm -f $dest/usr/share/applications/*
cat << "EOF" > $dest/usr/share/applications/gmb.desktop
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=Gmusicbrowser
GenericName=Jukebox
Comment=Jukebox for large collections of mp3/ogg/flac
Comment[fr]=Jukebox pour de grandes collections de mp3/ogg/flac
Icon=gmusicbrowser
TryExec=gmusicbrowser
Exec=gmusicbrowser
Terminal=false
Categories=Application;AudioVideo;GTK;Tuner;
StartupNotify=true
EOF


mkdir -p $dest/usr/src/$soft-$softversion
( cd $buildir
cp -a build-$soft.sh $dest/usr/src/$soft-$softversion/
)

cd $dest
makepkg -l y -c y $dest.tgz


# cleanup
rm -rf $dest
rm -rf $src

